package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 *  消息对象 crm_msg
 *
 * @author fs
 * @date 2023-02-14
 */
public class CrmMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long msgId;

    /** 消息类型 1客户消息 2系统消息 3随访消息 */
    @Excel(name = "消息类型 1客户消息 2系统消息 3随访消息")
    private Integer msgType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** $column.columnComment */
    @Excel(name = "内容")
    private Integer isRead;

    /** $column.columnComment */
    @Excel(name = "内容")
    private Long companyId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long companyUserId;

    private Long objId;

    public CrmMsg() {

    }

    public CrmMsg(Integer msgType, String title, String content, Long companyId, Long companyUserId, Long objId) {
        this.msgType = msgType;
        this.title = title;
        this.content = content;
        this.companyId = companyId;
        this.companyUserId = companyUserId;
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public void setMsgId(Long msgId)
    {
        this.msgId = msgId;
    }

    public Long getMsgId()
    {
        return msgId;
    }
    public void setMsgType(Integer msgType)
    {
        this.msgType = msgType;
    }

    public Integer getMsgType()
    {
        return msgType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setIsRead(Integer isRead)
    {
        this.isRead = isRead;
    }

    public Integer getIsRead()
    {
        return isRead;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("msgId", getMsgId())
            .append("msgType", getMsgType())
            .append("title", getTitle())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .append("isRead", getIsRead())
            .append("companyId", getCompanyId())
            .append("companyUserId", getCompanyUserId())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
